Skip to main content
GET
/
shield
/
shield-zone
/
{shieldZoneId}
/
api-guardian
Get the API Guardian configuration and endpoints.
curl --request GET \
  --url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian
import requests

url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  },
  "data": {
    "configuration": {
      "shieldZoneId": 123,
      "isEnabled": true,
      "title": "<string>",
      "version": "<string>",
      "maxEndpoints": 123,
      "maxFieldsPerType": 123,
      "maxNestingDepth": 123,
      "maxTotalSchemaNodes": 123,
      "maxTotalRegexLength": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "endpoints": [
      {
        "apiGuardianEndpointId": 123,
        "shieldZoneId": 123,
        "requestMethod": "<string>",
        "requestPath": "<string>",
        "validateRequestBodySchema": true,
        "validateResponseBodySchema": true,
        "validateAuthorization": true,
        "isEnabled": true,
        "authSchemes": [
          {
            "schemeName": "<string>",
            "credentialName": "<string>",
            "httpScheme": "<string>"
          }
        ],
        "requestBodySchemaYaml": "<string>",
        "responseBodySchemasYaml": {},
        "availableParameters": {
          "Path": [
            "<string>"
          ],
          "Query": [
            "<string>"
          ],
          "Header": [
            "<string>"
          ],
          "Cookie": [
            "<string>"
          ]
        },
        "injectionDetectionParameters": {
          "Path": [
            "<string>"
          ],
          "Query": [
            "<string>"
          ],
          "Header": [
            "<string>"
          ],
          "Cookie": [
            "<string>"
          ]
        },
        "detectParameterXss": true,
        "detectParameterSqli": true,
        "rateLimitingEnabled": true,
        "rateLimitingRequestCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  },
  "data": {
    "configuration": {
      "shieldZoneId": 123,
      "isEnabled": true,
      "title": "<string>",
      "version": "<string>",
      "maxEndpoints": 123,
      "maxFieldsPerType": 123,
      "maxNestingDepth": 123,
      "maxTotalSchemaNodes": 123,
      "maxTotalRegexLength": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "endpoints": [
      {
        "apiGuardianEndpointId": 123,
        "shieldZoneId": 123,
        "requestMethod": "<string>",
        "requestPath": "<string>",
        "validateRequestBodySchema": true,
        "validateResponseBodySchema": true,
        "validateAuthorization": true,
        "isEnabled": true,
        "authSchemes": [
          {
            "schemeName": "<string>",
            "credentialName": "<string>",
            "httpScheme": "<string>"
          }
        ],
        "requestBodySchemaYaml": "<string>",
        "responseBodySchemasYaml": {},
        "availableParameters": {
          "Path": [
            "<string>"
          ],
          "Query": [
            "<string>"
          ],
          "Header": [
            "<string>"
          ],
          "Cookie": [
            "<string>"
          ]
        },
        "injectionDetectionParameters": {
          "Path": [
            "<string>"
          ],
          "Query": [
            "<string>"
          ],
          "Header": [
            "<string>"
          ],
          "Cookie": [
            "<string>"
          ]
        },
        "detectParameterXss": true,
        "detectParameterSqli": true,
        "rateLimitingEnabled": true,
        "rateLimitingRequestCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  },
  "data": {
    "configuration": {
      "shieldZoneId": 123,
      "isEnabled": true,
      "title": "<string>",
      "version": "<string>",
      "maxEndpoints": 123,
      "maxFieldsPerType": 123,
      "maxNestingDepth": 123,
      "maxTotalSchemaNodes": 123,
      "maxTotalRegexLength": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "endpoints": [
      {
        "apiGuardianEndpointId": 123,
        "shieldZoneId": 123,
        "requestMethod": "<string>",
        "requestPath": "<string>",
        "validateRequestBodySchema": true,
        "validateResponseBodySchema": true,
        "validateAuthorization": true,
        "isEnabled": true,
        "authSchemes": [
          {
            "schemeName": "<string>",
            "credentialName": "<string>",
            "httpScheme": "<string>"
          }
        ],
        "requestBodySchemaYaml": "<string>",
        "responseBodySchemasYaml": {},
        "availableParameters": {
          "Path": [
            "<string>"
          ],
          "Query": [
            "<string>"
          ],
          "Header": [
            "<string>"
          ],
          "Cookie": [
            "<string>"
          ]
        },
        "injectionDetectionParameters": {
          "Path": [
            "<string>"
          ],
          "Query": [
            "<string>"
          ],
          "Header": [
            "<string>"
          ],
          "Cookie": [
            "<string>"
          ]
        },
        "detectParameterXss": true,
        "detectParameterSqli": true,
        "rateLimitingEnabled": true,
        "rateLimitingRequestCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Path Parameters

shieldZoneId
integer<int32>
required

Response

OK

Represents the response for getting API Guardian configuration.

error
object

Generic response object containing status information for API operations.

data
object

The full API Guardian state for a shield zone: global configuration and all endpoints.

Last modified on July 7, 2026